7 Replies - 2385 Views - Last Post: 30 October 2009 - 10:28 PM Rate Topic: -----

#1 buckoak  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 4
  • Joined: 04-August 09

Missing References

Post icon  Posted 29 October 2009 - 07:53 PM

I belive I am missing a Reference can anyone help direct me to the correct reference see error below:
The name 'RegistryUpdate' does not exist in the current context (CS0103)

Is there some sort of documentation to help locate or lookup what each reference does.

thanks for your help
Is This A Good Question/Topic? 0
  • +

Replies To: Missing References

#2 MentalFloss  Icon User is offline

  • "ADDICTED"[2:5]
  • member icon

Reputation: 527
  • View blog
  • Posts: 1,397
  • Joined: 02-September 09

Re: Missing References

Posted 29 October 2009 - 08:37 PM

That could be anything. What are you trying to do? Are you trying to use a third-party library? Or is this actually about windows registry manipulation? Try to explain what you're trying to achieve so it's possible to even figure this question out.
Was This Post Helpful? 0
  • +
  • -

#3 PsychoCoder  Icon User is offline

  • Google.Sucks.Init(true);
  • member icon

Reputation: 1642
  • View blog
  • Posts: 19,853
  • Joined: 26-July 07

Re: Missing References

Posted 29 October 2009 - 08:44 PM

Sounds as if you're either using some 3rd party component or some code you found in the internet as to the best of my knowledge that isn't a built-in library/class/function in the .Net Framework
Was This Post Helpful? 0
  • +
  • -

#4 buckoak  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 4
  • Joined: 04-August 09

Re: Missing References

Posted 29 October 2009 - 11:49 PM

This code is from Autodesk, the part that errors out is "RegistryUpdate.RegisterForDemandLoading();".
it is an add-in for autocad, I found all of the other references to make all of the other errors go away.
The others references are listed below:

1. AcCui
2. acdbmgd
3. acmgd
4. PresentationCore
5. System
6. System.Core
7. System.Drawing
8. System.Windows.Forms
9. WindowsBase

Is there an easy way of figuring out what references are needed or does this info come over time.

Thanks for any help


[code]
using Autodesk.AutoCAD.ApplicationServices;

using Autodesk.AutoCAD.DatabaseServices;

using Autodesk.AutoCAD.EditorInput;

using Autodesk.AutoCAD.Geometry;

using Autodesk.AutoCAD.GraphicsInterface;

using Autodesk.AutoCAD.GraphicsSystem;

using Autodesk.AutoCAD.Runtime;

using Autodesk.AutoCAD.Colors;



using System.Drawing.Imaging;

using System.Drawing.Printing;

using System.Drawing.Drawing2D;

using System.Drawing;

using System.Runtime.InteropServices;

using System.Windows.Interop;

using System.Collections;

using System.Configuration;

using System;



namespace Screenshot

{

public class ScreenshotApplication : IExtensionApplication

{

// Define a class for our custom data



public class AppData : ApplicationSettingsBase

{

[UserScopedSetting()]

[DefaultSettingValue("true")]

public bool Clipboard

{

get { return ((bool)this["Clipboard"]); }

set { this["Clipboard"] = (bool)value; }

}

[UserScopedSetting()]

[DefaultSettingValue("false")]

public bool Print

{

get { return ((bool)this["Print"]); }

set { this["Print"] = (bool)value; }

}

[UserScopedSetting()]

[DefaultSettingValue("false")]

public bool WhiteBackground

{

get { return ((bool)this["WhiteBackground"]); }

set { this["WhiteBackground"] = (bool)value; }

}

[UserScopedSetting()]

[DefaultSettingValue("false")]

public bool BlackForeground

{

get { return ((bool)this["BlackForeground"]); }

set { this["BlackForeground"] = (bool)value; }

}

[UserScopedSetting()]

[DefaultSettingValue("false")]

public bool Grayscale

{

get { return ((bool)this["Grayscale"]); }

set { this["Grayscale"] = (bool)value; }

}

}



// A struct for communicating colours to/from AutoCAD



public struct AcColorSettings

{

public UInt32 dwGfxModelBkColor;

public UInt32 dwGfxLayoutBkColor;

public UInt32 dwParallelBkColor;

public UInt32 dwBEditBkColor;

public UInt32 dwCmdLineBkColor;

public UInt32 dwPlotPrevBkColor;

public UInt32 dwSkyGradientZenithColor;

public UInt32 dwSkyGradientHorizonColor;

public UInt32 dwGroundGradientOriginColor;

public UInt32 dwGroundGradientHorizonColor;

public UInt32 dwEarthGradientAzimuthColor;

public UInt32 dwEarthGradientHorizonColor;

public UInt32 dwModelCrossHairColor;

public UInt32 dwLayoutCrossHairColor;

public UInt32 dwParallelCrossHairColor;

public UInt32 dwPerspectiveCrossHairColor;

public UInt32 dwBEditCrossHairColor;

public UInt32 dwParallelGridMajorLines;

public UInt32 dwPerspectiveGridMajorLines;

public UInt32 dwParallelGridMinorLines;

public UInt32 dwPerspectiveGridMinorLines;

public UInt32 dwParallelGridAxisLines;

public UInt32 dwPerspectiveGridAxisLines;

public UInt32 dwTextForeColor;

public UInt32 dwTextBkColor;

public UInt32 dwCmdLineForeColor;

public UInt32 dwAutoTrackingVecColor;

public UInt32 dwLayoutATrackVecColor;

public UInt32 dwParallelATrackVecColor;

public UInt32 dwPerspectiveATrackVecColor;

public UInt32 dwBEditATrackVecColor;

public UInt32 dwModelASnapMarkerColor;

public UInt32 dwLayoutASnapMarkerColor;

public UInt32 dwParallelASnapMarkerColor;

public UInt32 dwPerspectiveASnapMarkerColor;

public UInt32 dwBEditASnapMarkerColor;

public UInt32 dwModelDftingTooltipColor;

public UInt32 dwLayoutDftingTooltipColor;

public UInt32 dwParallelDftingTooltipColor;

public UInt32 dwPerspectiveDftingTooltipColor;

public UInt32 dwBEditDftingTooltipColor;

public UInt32 dwModelDftingTooltipBkColor;

public UInt32 dwLayoutDftingTooltipBkColor;

public UInt32 dwParallelDftingTooltipBkColor;

public UInt32 dwPerspectiveDftingTooltipBkColor;

public UInt32 dwBEditDftingTooltipBkColor;

public UInt32 dwModelLightGlyphs;

public UInt32 dwLayoutLightGlyphs;

public UInt32 dwParallelLightGlyphs;

public UInt32 dwPerspectiveLightGlyphs;

public UInt32 dwBEditLightGlyphs;

public UInt32 dwModelLightHotspot;

public UInt32 dwLayoutLightHotspot;

public UInt32 dwParallelLightHotspot;

public UInt32 dwPerspectiveLightHotspot;

public UInt32 dwBEditLightHotspot;

public UInt32 dwModelLightFalloff;

public UInt32 dwLayoutLightFalloff;

public UInt32 dwParallelLightFalloff;

public UInt32 dwPerspectiveLightFalloff;

public UInt32 dwBEditLightFalloff;

public UInt32 dwModelLightStartLimit;

public UInt32 dwLayoutLightStartLimit;

public UInt32 dwParallelLightStartLimit;

public UInt32 dwPerspectiveLightStartLimit;

public UInt32 dwBEditLightStartLimit;

public UInt32 dwModelLightEndLimit;

public UInt32 dwLayoutLightEndLimit;

public UInt32 dwParallelLightEndLimit;

public UInt32 dwPerspectiveLightEndLimit;

public UInt32 dwBEditLightEndLimit;

public UInt32 dwModelCameraGlyphs;

public UInt32 dwLayoutCameraGlyphs;

public UInt32 dwParallelCameraGlyphs;

public UInt32 dwPerspectiveCameraGlyphs;

public UInt32 dwModelCameraFrustrum;

public UInt32 dwLayoutCameraFrustrum;

public UInt32 dwParallelCameraFrustrum;

public UInt32 dwPerspectiveCameraFrustrum;

public UInt32 dwModelCameraClipping;

public UInt32 dwLayoutCameraClipping;

public UInt32 dwParallelCameraClipping;

public UInt32 dwPerspectiveCameraClipping;

public int nModelCrosshairUseTintXYZ;

public int nLayoutCrosshairUseTintXYZ;

public int nParallelCrosshairUseTintXYZ;

public int nPerspectiveCrosshairUseTintXYZ;

public int nBEditCrossHairUseTintXYZ;

public int nModelATrackVecUseTintXYZ;

public int nLayoutATrackVecUseTintXYZ;

public int nParallelATrackVecUseTintXYZ;

public int nPerspectiveATrackVecUseTintXYZ;

public int nBEditATrackVecUseTintXYZ;

public int nModelDftingTooltipBkUseTintXYZ;

public int nLayoutDftingTooltipBkUseTintXYZ;

public int nParallelDftingTooltipBkUseTintXYZ;

public int nPerspectiveDftingTooltipBkUseTintXYZ;

public int nBEditDftingTooltipBkUseTintXYZ;

public int nParallelGridMajorLineTintXYZ;

public int nPerspectiveGridMajorLineTintXYZ;

public int nParallelGridMinorLineTintXYZ;

public int nPerspectiveGridMinorLineTintXYZ;

public int nParallelGridAxisLineTintXYZ;

public int nPerspectiveGridAxisLineTintXYZ;

};



// For the coordinate tranformation we need...



// A Win32 function:



[DllImport("user32.dll")]

static extern bool ClientToScreen(IntPtr hWnd, ref Point pt);



// And to access the colours in AutoCAD, we need ObjectARX...



[DllImport("acad.exe",

CallingConvention = CallingConvention.Cdecl,

EntryPoint = "?acedGetCurrentColors@@YAHPAUAcColorSettings@@@Z"

)]

static extern bool acedGetCurrentColors32(

out AcColorSettings colorSettings

);



[DllImport("acad.exe",

CallingConvention = CallingConvention.Cdecl,

EntryPoint = "?acedSetCurrentColors@@YAHPAUAcColorSettings@@@Z"

)]

static extern bool acedSetCurrentColors32(

ref AcColorSettings colorSettings

);



// 64-bit versions of these functions...



[DllImport("acad.exe",

CallingConvention = CallingConvention.Cdecl,

EntryPoint = "?acedGetCurrentColors@@YAHPEAUAcColorSettings@@@Z"

)]

static extern bool acedGetCurrentColors64(

out AcColorSettings colorSettings

);



[DllImport("acad.exe",

CallingConvention = CallingConvention.Cdecl,

EntryPoint = "?acedSetCurrentColors@@YAHPEAUAcColorSettings@@@Z"

)]

static extern bool acedSetCurrentColors64(

ref AcColorSettings colorSettings

);



// Helper functions that call automatically to 32- or 64-bit

// versions, as appropriate



static bool acedGetCurrentColors(

out AcColorSettings colorSettings

)

{

if (IntPtr.Size > 4)

return acedGetCurrentColors64(out colorSettings);

else

return acedGetCurrentColors32(out colorSettings);

}



static bool acedSetCurrentColors(

ref AcColorSettings colorSettings

)

{

if (IntPtr.Size > 4)

return acedSetCurrentColors64(ref colorSettings);

else

return acedSetCurrentColors32(ref colorSettings);

}



// IExtensionApplication protocol



public void Initialize()

{

try

{

RegistryUpdate.RegisterForDemandLoading();

}

catch

{ }

}



public void Terminate()

{

}



[CommandMethod("ADNPLUGINS", "REMOVESS", CommandFlags.Modal)]

static public void RemoveScreenshot()

{

RegistryUpdate.UnregisterForDemandLoading();

}



// Command to capture the main and active drawing windows

// or a user-selected portion of a drawing



[CommandMethod("ADNPLUGINS", "SCREENSHOT", CommandFlags.Modal)]

static public void CaptureScreenShot()

{

Document doc =

Application.DocumentManager.MdiActiveDocument;

Editor ed = doc.Editor;



// Retrieve our application settings (or create new ones)



AppData ad = new AppData();

ad.Reload();



if (ad != null)

{

string filename = "";

bool settingschosen;

PromptPointResult ppr;



do

{

settingschosen = false;



// Ask the user for the screen window to capture



PrintSettings(ed, ad);

PromptPointOptions ppo =

new PromptPointOptions(

"\nSelect first point of capture window or " +

"[Document/Application/Objects/Settings]: ",

"Document Application Objects Settings"

);



// Get the first point of the capture window,

// or a keyword



ppr = ed.GetPoint(ppo);



if (ppr.Status == PromptStatus.Keyword)

{

if (ppr.StringResult == "Document")

{

// Capture the active document window



if (!ad.Clipboard)

filename = GetFileName(ed);

ScreenShotToFile(

Application.DocumentManager.

MdiActivedocument.Window,

30, 26, 10, 10,

filename,

ad

);

}

else if (ppr.StringResult == "Application")

{

// Capture the entire application window



if (!ad.Clipboard)

filename = GetFileName(ed);

ScreenShotToFile(

Application.MainWindow,

0, 0, 0, 0,

filename,

ad

);

}

else if (ppr.StringResult == "Objects")

{

// Ask the user to select a number of entities



PromptSelectionResult psr =

ed.GetSelection();



// Regenerate to clear any selection highlighting



ed.Regen();



// Generate screen coordinate points based on the

// drawing points selected



// First we get the viewport number



short vp =

(short)Application.GetSystemVariable("CVPORT");



// Then the handle to the current drawing window



IntPtr hWnd = doc.window.Handle;



// Get the screen extents of the selected entities



Point pt1, pt2;

GetExtentsOfSelection(

ed, doc, hWnd, vp, psr.Value, out pt1, out pt2

);



// Now save this portion of our screen as a raster

// image



if (!ad.Clipboard)

filename = GetFileName(ed);



ScreenShotToFile(pt1, pt2, filename, ad);

}

else if (ppr.StringResult == "Settings")

{

if (GetSettings(ed, ad))

ad.Save();

settingschosen = true;

}

}

}

while (settingschosen); // Loop if settings were modified



if (ppr.Status == PromptStatus.OK)

{

// Now we're ready to select the second point



Point3d first = ppr.Value;



ppr =

ed.GetCorner(

"\nSelect second point of capture window: ",

first

);

if (ppr.Status != PromptStatus.OK)

return;



Point3d second = ppr.Value;



// Generate screen coordinate points based on the

// drawing points selected



Point pt1, pt2;



// First we get the viewport number



short vp =

(short)Application.GetSystemVariable("CVPORT");



// Then the handle to the current drawing window



IntPtr hWnd = doc.window.Handle;



// Now calculate the selected corners in screen coordinates



pt1 = ScreenFromDrawingPoint(ed, hWnd, first, vp, true);

pt2 = ScreenFromDrawingPoint(ed, hWnd, second, vp, true);



// Now save this portion of our screen as a raster image



if (!ad.Clipboard)

filename = GetFileName(ed);



ScreenShotToFile(pt1, pt2, filename, ad);

}

}

}



// Iterate through a selection-set and get the overall extents

// of the various objects relative to the screen

// (this is imperfect: our extents in WCS may not translate to

// the extents on the screen. A more thorough approach would be

// to get a number of points from an object and check each)



private static void GetExtentsOfSelection(

Editor ed,

Document doc,

IntPtr hWnd,

short vp,

SelectionSet ss,

out Point min,

out Point max

)

{

// Create minimum and maximum points for the "on screen"

// extents of our objects



min = new Point();

max = new Point();



// Know which is the first pass through



bool first = true;



// Some variables to store transformation results



Point pt1 = new Point(), pt2 = new Point();



Transaction tr =

doc.TransactionManager.StartTransaction();

using (tr)

{

foreach (SelectedObject so in ss)

{

DBObject obj =

tr.GetObject(so.ObjectId, OpenMode.ForRead);

Entity ent = obj as Entity;

if (ent != null)

{

// Get the WCS extents of each object



Extents3d ext = ent.GeometricExtents;



// Calculate the extent corners in screen coordinates

// (this may not be the true screen extents, but we'll

// hope it's good enough)



pt1 =

ScreenFromDrawingPoint(

ed, hWnd, ext.MinPoint, vp, false

);

pt2 =

ScreenFromDrawingPoint(

ed, hWnd, ext.MaxPoint, vp, false

);



// The points may not be ordered, so get the min and max

// values for both X and Y from both points



int minX = Math.Min(pt1.X, pt2.X);

int minY = Math.Min(pt1.Y, pt2.Y);

int maxX = Math.Max(pt1.X, pt2.X);

int maxY = Math.Max(pt1.Y, pt2.Y);



// On the first run through, just get the points



if (first)

{

min = new Point(minX, minY);

max = new Point(maxX, maxY);

first = false;

}

else

{

// On subsequent runs through, we need to compare



if (minX < min.X) min.X = minX;

if (minY < min.Y) min.Y = minY;

if (maxX > max.X) max.X = maxX;

if (maxY > max.Y) max.Y = maxY;

}

}

}

tr.Commit();

}

}



// Print the current application settings to the command-line



private static void PrintSettings(Editor ed, AppData ad)

{

ed.WriteMessage(

"\nCurrent settings: Output={0}, Print={1}, " +

"Background={1}, Foreground={2}, Grayscale={3}",

ad.Clipboard ? "Clipboard" : "File",

ad.Print ? "Yes" : "No",

ad.WhiteBackground ? "ForceToWhite" : "Normal",

ad.BlackForeground ? "ForceToBlack" : "Normal",

ad.Grayscale ? "On" : "Off"

);

}



// Ask the user to modify the application settings



private static bool GetSettings(Editor ed, AppData ad)

{

// At our top-level settings prompt, make the default

// to exit back up



PromptKeywordOptions pko =

new PromptKeywordOptions(

"\nSetting to change " +

"[Output/Print/Background/Foreground/Grayscale/Exit]: ",

"Output Print Background Foreground Grayscale Exit"

);

pko.Keywords.Default = "Exit";



PromptResult pr;

bool settingschanged = false;

do

{

// Start by printing the current settings



PrintSettings(ed, ad);



pr = ed.GetKeywords(pko);



if (pr.Status == PromptStatus.OK)

{

if (pr.StringResult == "Output")

{

// If Output is selected, ask whether to put the

// image on the clipboard or save to file



PromptKeywordOptions pko2 =

new PromptKeywordOptions(

"\nSave to file or place on the clipboard " +

"[File/Clipboard]: ",

"File Clipboard"

);



// The default depends on our current settings



pko2.Keywords.Default =

(ad.Clipboard ? "Clipboard" : "File");



PromptResult pr2 = ed.GetKeywords(pko2);



if (pr2.Status == PromptStatus.OK)

{

// Change the settings, as needed



bool clipboard =

(pr2.StringResult == "Clipboard");



if (ad.Clipboard != clipboard)

{

ad.Clipboard = clipboard;

settingschanged = true;

}

}

}

else if (pr.StringResult == "Print")

{

// If Print is different, ask whether to

// send the image to the printer



bool different =

GetYesOrNo(

ed,

"\nSend image to printer once captured",

ad.Print

);

if (different)

{

ad.Print = !ad.Print;

settingschanged = true;

}

}

else if (pr.StringResult == "Background")

{

// If Background is different, ask whether to

// force the background colour to white

// (we could allow selection of a colour,

// but that's out of scope, for now)



bool different =

GetYesOrNo(

ed,

"\nForce background color to white",

ad.WhiteBackground

);

if (different)

{

ad.WhiteBackground = !ad.WhiteBackground;

settingschanged = true;

}

}

else if (pr.StringResult == "Foreground")

{

// If Foreground is different, ask whether to

// force the foreground colour to black

// (we could allow selection of a colour,

// but that's out of scope, for now)



bool different =

GetYesOrNo(

ed,

"\nForce foreground color to black",

ad.BlackForeground

);

if (different)

{

ad.BlackForeground = !ad.BlackForeground;

settingschanged = true;

}

}

else if (pr.StringResult == "Grayscale")

{

// If Grayscale is different, ask whether to

// force the foreground pixels to be gray



bool different =

GetYesOrNo(

ed,

"\nConvert image to grayscale",

ad.Grayscale

);

if (different)

{

ad.Grayscale = !ad.Grayscale;

settingschanged = true;

}

}

}

}

while (

pr.Status == PromptStatus.OK &&

pr.StringResult != "Exit"

); // Loop until Exit or cancel



return settingschanged;

}



// Ask the user to enter yes or no to a particular question,

// setting the default option appropriately



private static bool GetYesOrNo(

Editor ed,

string prompt,

bool defval

)

{

bool changed = false;



PromptKeywordOptions pko =

new PromptKeywordOptions(prompt + " [Yes/No]: ", "Yes No");



// The default depends on our current settings



pko.Keywords.Default =

(defval ? "Yes" : "No");

PromptResult pr = ed.GetKeywords(pko);



if (pr.Status == PromptStatus.OK)

{

// Change the settings, as needed



bool newval =

(pr.StringResult == "Yes");



if (defval != newval)

{

changed = true;

}

}

return changed;

}



// Ask the user to select a location to save our file to



private static string GetFileName(Editor ed)

{

string filename = "";



// The entries here will drive the behaviour of the

// GetFormatForFile() function



PromptSaveFileOptions pofo =

new PromptSaveFileOptions(

"\nSelect image location: "

);

pofo.Filter =

"Bitmap (*.bmp)|*.bmp|" +

"GIF (*.gif)|*.gif|" +

"JPEG (*.jpg)|*.jpg|" +

"PNG (*.png)|*.png|" +

"TIFF (*.tif)|*.tif";



// Set the default save location to be the current drawing



string fn = ed.document.Database.Filename;

if (fn.Contains("."))

{

int extIdx = fn.LastIndexOf(".");

if (fn.Substring(extIdx + 1) != "dwt" &&

fn.Contains("\\"))

{

int sepIdx = fn.LastIndexOf("\\");

pofo.InitialDirectory =

fn.Substring(0, sepIdx);

}

}



PromptFileNameResult pfnr =

ed.GetFileNameForSave(pofo);



if (pfnr.Status == PromptStatus.OK)

{

filename = pfnr.StringResult;



// If a file was selected, wait for some time to allow

// the "file already exists" dialog to disappear

// (300 msec = 3/10ths of a second - may need tweaking)



System.Threading.Thread.Sleep(300);

}



return filename;

}



// Perform our tranformations to get from UCS

// (or WCS) to screen coordinates



private static Point ScreenFromDrawingPoint(

Editor ed,

IntPtr hWnd,

Point3d pt,

short vpNum,

bool useUcs

)

{

// Transform from UCS to WCS, if needed



Point3d wcsPt =

(useUcs ?

pt.TransformBy(ed.CurrentUserCoordinateSystem)

: pt

);



// Then get the screen coordinates within the client

// and translate these for the overall screen



Point res = ed.PointToScreen(wcsPt, vpNum);

ClientToScreen(hWnd, ref res);

return res;

}



// Save the display of an AutoCAD window as a raster file

// and/or an image on the clipboard



private static void ScreenShotToFile(

Autodesk.AutoCAD.Windows.Window wd,

int top, int bottom, int left, int right,

string filename,

AppData ad

)

{

Point pt = wd.Location;

Size sz = wd.Size;



pt.X += left;

pt.Y += top;

sz.Height -= top + bottom;

sz.Width -= left + right;



SaveScreenPortion(pt, sz, filename, ad);

}



// Save a screen window between two corners as a raster file

// and/or an image on the clipboard



private static void ScreenShotToFile(

Point pt1,

Point pt2,

string filename,

AppData ad

)

{

// Create the top left corner from the two corners

// provided (by taking the min of both X and Y values)



Point pt =

new Point(Math.Min(pt1.X, pt2.X), Math.Min(pt1.Y, pt2.Y));



// Determine the size by subtracting X & Y values and

// taking the absolute value of each



Size sz =

new Size(Math.Abs(pt1.X - pt2.X), Math.Abs(pt1.Y - pt2.Y));



SaveScreenPortion(pt, sz, filename, ad);

}



// Save a portion of the screen display as a raster file

// and/or an image on the clipboard
Was This Post Helpful? 0
  • +
  • -

#5 PsychoCoder  Icon User is offline

  • Google.Sucks.Init(true);
  • member icon

Reputation: 1642
  • View blog
  • Posts: 19,853
  • Joined: 26-July 07

Re: Missing References

Posted 30 October 2009 - 12:21 AM

Well it appears you took a large portion of code from here, and are missing the RegistryUpdate class located here.

For future reference you should just let us know you're taken your code from various sites (which you have done (and with this proof cannot deny) and cannot make it work. Do not try and make us think you wrote the code in question (It was pretty obvious with the error message that you had not written this code) and hope someone will be able to help you finish stealing the code for your homework :)
Was This Post Helpful? 0
  • +
  • -

#6 buckoak  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 4
  • Joined: 04-August 09

Re: Missing References

Posted 30 October 2009 - 12:43 AM

I never stated I wrote the code and am not claiming I did. This is not for homework, I am a beginner trying to learn this stuff on my own. I am simply trying to get it to work, it was posted in the internet for all to use I am not a thief. You should get your fact first before you start accusing people of things and to add I am not in school. I am simply trying to learn a new code because VBA is going away in autocad, I asked around and was told C# was a good starting code for a beginner It is simple as that.

This post has been edited by buckoak: 30 October 2009 - 12:53 AM

Was This Post Helpful? 0
  • +
  • -

#7 buckoak  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 4
  • Joined: 04-August 09

Re: Missing References

Posted 30 October 2009 - 09:44 AM

View PostPsychoCoder, on 29 Oct, 2009 - 11:21 PM, said:

Well it appears you took a large portion of code from here, and are missing the RegistryUpdate class located here.

For future reference you should just let us know you're taken your code from various sites (which you have done (and with this proof cannot deny) and cannot make it work. Do not try and make us think you wrote the code in question (It was pretty obvious with the error message that you had not written this code) and hope someone will be able to help you finish stealing the code for your homework :)



To add to your stealing scandal I emailed the originator of the code to let him know what was going on and he replied back to let me not to worry about it. I came to this web site to get some minor help because I didnít want to nickel and dime him with small questions. Your first mistake was to assume, He did tell me what was wrong in the code so thanks for nothing.
Was This Post Helpful? 0
  • +
  • -

#8 MentalFloss  Icon User is offline

  • "ADDICTED"[2:5]
  • member icon

Reputation: 527
  • View blog
  • Posts: 1,397
  • Joined: 02-September 09

Re: Missing References

Posted 30 October 2009 - 10:28 PM

Two things piss me off about this thread.
1. Accusations of stealing.
2. Defensiveness and more deception about stealing code.

Here's the deal... get permission or find where the permission is granted (Eg: GPL, copyleft, millions of other licenses). If it's not explicitly cited that you can use the code, you cannot use the code. If you come off as saying "hey, I wrote this, and I'm having a problem because of a reference error." - well, we think you might have just forgot a core library.

From now on, cite your source - ask for permission if needed - explain yourself entirely. EOF - BOF - QED.

One more three letter acronym (TLA) (ok two.. :))

CYA - Cover Your Ass.

That is all. Have a great weekend.

This post has been edited by MentalFloss: 30 October 2009 - 10:30 PM

Was This Post Helpful? 0
  • +
  • -

Page 1 of 1